---
title: Expires
slug: Web/HTTP/Headers/Expires
tags:
  - Caching
  - HTTP
  - Response
  - header
---
<div>{{HTTPSidebar}}</div>

<p>The <code><strong>Expires</strong></code> header contains the date/time after which the response is considered stale.</p>

<p>Invalid dates, like the value 0, represent a date in the past and mean that the resource is already expired.</p>

<div class="note">If there is a {{HTTPHeader("Cache-Control")}} header with the <code>max-age</code> or <code>s-maxage</code> directive in the response, the <code>Expires</code> header is ignored.</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Response header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>no</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("CORS-safelisted response header")}}</th>
   <td>yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Expires: &lt;http-date&gt;
</pre>

<h2 id="Directives">Directives</h2>

<dl>
 <dt>&lt;http-date&gt;</dt>
 <dd>
 <p>An HTTP-date timestamp.</p>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre>Expires: Wed, 21 Oct 2015 07:28:00 GMT</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("7234", "Expires", "5.3")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Caching</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.headers.Expires")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Cache-Control")}}</li>
 <li>{{HTTPHeader("Age")}}</li>
</ul>
